part of 'counter_bloc.dart';

/// {@template counter_event}
/// CounterEvent description
/// {@endtemplate}
abstract class CounterEvent extends Equatable {
  /// {@macro counter_event}
  const CounterEvent();
}

/// {@template custom_counter_event}
/// Event added when some custom logic happens
/// {@endtemplate}
class CustomCounterEvent extends CounterEvent {
  /// {@macro custom_counter_event}
  const CustomCounterEvent();

  @override
  List<Object?> get props => [];
}
